> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organization security overview



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /org/security/overview
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /org/security/overview:
    get:
      tags:
        - Security
      summary: Get organization security overview
      operationId: get_security_overview
      parameters:
        - in: query
          name: cluster_id
          required: false
          schema:
            format: uuid
            type: string
        - in: query
          name: addon_slug
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityOverviewResponse'
          description: Successful response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Business validation error
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityPermissionDenied'
          description: Permission or CSRF denied
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Organization-scoped resource not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Disposition conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Request validation error
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Internal server error
components:
  schemas:
    SecurityOverviewResponse:
      properties:
        coverage:
          $ref: '#/components/schemas/SecurityCoverageSummary'
        fixable_severe:
          type: integer
        generated_at:
          format: date-time
          type: string
        observed_trend:
          items:
            $ref: '#/components/schemas/SecurityTrendPoint'
          type: array
        scanner:
          $ref: '#/components/schemas/SecurityScannerSummary'
        severity:
          $ref: '#/components/schemas/SecuritySeverityCounts'
        top_remediation_candidates:
          items:
            $ref: '#/components/schemas/SecurityRemediationCandidate'
          type: array
        totals:
          $ref: '#/components/schemas/SecurityTotals'
      required:
        - totals
        - severity
        - fixable_severe
        - coverage
        - scanner
        - top_remediation_candidates
        - observed_trend
        - generated_at
      type: object
    SecurityDetailError:
      properties:
        detail:
          type: string
      required:
        - detail
      type: object
    SecurityPermissionDenied:
      properties:
        detail:
          enum:
            - permission_denied
          type: string
        permission:
          type: string
        scope_type:
          type: string
      required:
        - detail
        - permission
        - scope_type
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SecurityCoverageSummary:
      properties:
        fresh_clusters:
          type: integer
        latest_report_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        scanned_clusters:
          type: integer
        stale_clusters:
          type: integer
        total_clusters:
          type: integer
        unscanned_clusters:
          type: integer
      required:
        - total_clusters
        - scanned_clusters
        - unscanned_clusters
        - stale_clusters
        - fresh_clusters
        - latest_report_at
      type: object
    SecurityTrendPoint:
      properties:
        date:
          format: date
          type: string
        observed:
          type: integer
      required:
        - date
        - observed
      type: object
    SecurityScannerSummary:
      properties:
        fresh_clusters:
          type: integer
        last_scan:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        stale_after_seconds:
          type: integer
        stale_clusters:
          type: integer
        status:
          enum:
            - fresh
            - degraded
            - stale
            - unscanned
          type: string
        unscanned_clusters:
          type: integer
      required:
        - status
        - last_scan
        - fresh_clusters
        - stale_clusters
        - unscanned_clusters
        - stale_after_seconds
      type: object
    SecuritySeverityCounts:
      properties:
        critical:
          type: integer
        high:
          type: integer
        low:
          type: integer
        medium:
          type: integer
        unknown:
          type: integer
      required:
        - critical
        - high
        - medium
        - low
        - unknown
      type: object
    SecurityRemediationCandidate:
      properties:
        actionable_count:
          type: integer
        affected_clusters:
          type: integer
        affected_workloads:
          type: integer
        cve_id:
          type: string
        finding_id:
          format: uuid
          type: string
        fixable_occurrences:
          type: integer
        last_seen_at:
          format: date-time
          type: string
        package_name:
          type: string
        package_type:
          type: string
        severity:
          type: string
        title:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - finding_id
        - cve_id
        - package_type
        - package_name
        - severity
        - title
        - actionable_count
        - affected_clusters
        - affected_workloads
        - fixable_occurrences
        - last_seen_at
      type: object
    SecurityTotals:
      properties:
        accepted_risk:
          type: integer
        acknowledged:
          type: integer
        actionable:
          type: integer
        observed:
          type: integer
        resolved:
          type: integer
      required:
        - observed
        - actionable
        - acknowledged
        - accepted_risk
        - resolved
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````